Name:           perl-Alien-Libxml2
Version:        0.09
Release:        2%{?dist}
Summary:        Install the C libxml2 library on your system
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Alien-Libxml2/
Source0:        https://cpan.metacpan.org/authors/id/P/PL/PLICEASE/Alien-Libxml2-%{version}.tar.gz

%global debug_package %{nil}

# Build
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(:VERSION) >= 5.6
BuildRequires:  perl(Alien::Build::MM) >= 1.61
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(libxml-2.0)
# Run-time
BuildRequires:  perl(Alien::Base) >= 0.73
BuildRequires:  perl(Alien::Build) >= 1.61
BuildRequires:  perl(alienfile)
BuildRequires:  perl(base)
# Tests
BuildRequires:  perl(Config)
BuildRequires:  perl(Test2::V0) >= 0.000060
BuildRequires:  perl(Test::Alien)
BuildRequires:  perl(Test::More)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Alien::Base) >= 0.73
# This RPM package ensures libxml2 is installed on the system
Requires:       pkgconfig(libxml-2.0) = %(type -p pkgconf >/dev/null && pkgconf --exists libxml-2.0 && pkg-config --modversion libxml-2.0 || echo 0)

# Remove under-specified dependencies
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^perl\\(Alien::Base\\)$

%description
This module provides libxml2 for other modules to use.

%prep
%setup -q -n Alien-Libxml2-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%license LICENSE
%doc Changes README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Alien*
%{_mandir}/man3/*

%changelog
* Fri May 31 2019 Jitka Plesnikova <jplesnik@redhat.com> - 0.09-2
- Perl 5.30 rebuild

* Fri May 17 2019 Jitka Plesnikova <jplesnik@redhat.com> - 0.09-1
- 0.09 bump

* Thu Apr 04 2019 Jitka Plesnikova <jplesnik@redhat.com> - 0.07-1
- 0.07 bump

* Mon Mar 25 2019 Jitka Plesnikova <jplesnik@redhat.com> - 0.06-1
- Specfile autogenerated by cpanspec 1.78.
